View Issue Details

IDProjectCategoryView StatusLast Update
13255Bug reports[All Projects] _ Unknownpublic2018-01-30 14:31
Reporterholger_es Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.1.x 
Summary13255: Problem expiration date after Comfort-Update
Description

Hello,

since the update to the version Version 3.1.0 + 180124 I have the problem, if I change something in an existing survey and this memory always the expiration date is set to 20.08.2002 02:00.

If I then set the correct date with the expiry of the current survey for this still appears: This survey is currently not active. You will not be able to save your responses.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.1.0 + 180124
I will donate to the project if issue is resolvedNo
BrowserFF
Database & DB-VersionMYSQL 5.6.36-82.0-log
Server OS (if known)Linux vwp10416 4.4.74-1-xenu-static-he+1+ #2 SMP Mon Jun 26 12:35:59 CEST 2017 x86_64
Webserver software & version (if known)?
PHP Version7.0.27

Activities

holger_es

holger_es

2018-01-27 18:27

reporter   ~46124

For example i save expiration date: 01.01.2018 18:00

And when i edit an other setting for example User and save the expiration date: 20.08.2001 20:00

LouisGac

LouisGac

2018-01-29 12:28

manager   ~46125

thank you for that bug report.
could you please attach a lss file?

holger_es

holger_es

2018-01-29 12:34

reporter   ~46126

here is the lss



limesurvey_survey_457755.lss (81,207 bytes)
LouisGac

LouisGac

2018-01-29 12:34

manager   ~46127

thank you very much

ollehar

ollehar

2018-01-29 15:11

administrator   ~46135

Can reproduce.

ollehar

ollehar

2018-01-29 16:19

administrator   ~46139

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26257

Related Changesets

LimeSurvey: master 53be9bde

2018-01-29 16:19:34

ollehar

Details Diff
Fixed issue 13255: Problems with saving expiration date and start date Affected Issues
13255
mod - application/controllers/admin/database.php Diff File

Issue History

Date Modified Username Field Change
2018-01-27 18:23 holger_es New Issue
2018-01-27 18:27 holger_es Note Added: 46124
2018-01-29 12:28 LouisGac Note Added: 46125
2018-01-29 12:34 holger_es File Added: limesurvey_survey_457755.lss
2018-01-29 12:34 holger_es Note Added: 46126
2018-01-29 12:34 LouisGac Note Added: 46127
2018-01-29 15:11 ollehar Note Added: 46135
2018-01-29 15:11 ollehar Assigned To => ollehar
2018-01-29 15:11 ollehar Status new => assigned
2018-01-29 16:19 ollehar Changeset attached => LimeSurvey master 53be9bde
2018-01-29 16:19 ollehar Note Added: 46139
2018-01-29 16:19 ollehar Resolution open => fixed
2018-01-29 16:20 ollehar Status assigned => resolved
2018-01-29 16:20 ollehar Fixed in Version => 3.1.x
2018-01-30 14:31 ollehar Status resolved => closed